cURL
curl --request GET \
--url 'https://app.floral.so/api/v1/workspaces/acme-nordic/companies/42' \
--header 'Authorization: Bearer $FLORAL_TOKEN'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.floral.so/api/v1/workspaces/{workspaceSlug}/companies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"company": {
"annualRevenueOere": 12500000,
"archivedAt": null,
"customFields": {
"account_tier": "growth"
},
"description": "Nordic workplace design and furniture supplier.",
"email": "hello@acme-nordic.example",
"employeeCount": 48,
"id": 42,
"industry": "Design",
"lastActivityAt": "2026-08-15T09:30:00.000Z",
"lifecycleStage": "PROSPECT",
"linkedinUrl": "https://www.linkedin.com/company/acme-nordic",
"metadata": {
"source": "partner-directory"
},
"name": "Acme Nordic",
"organizationNumber": "12345678",
"ownerUserIds": [
"user_01J5N9CF9QY8T4M2A7W3R6K1P0"
],
"people": [
{
"email": "ada@acme-nordic.example",
"id": 84,
"name": "Ada Jensen",
"title": "Operations director"
}
],
"phone": "+45 33 12 34 56",
"updatedAt": "2026-08-15T09:30:00.000Z",
"version": "v1.eyJpZCI6NDIsInJlc291cmNlIjoiY29tcGFueSIsInZlcnNpb24iOiIyMDI2LTA4LTE1VDA5OjMwOjAwLjAwMFoifQ",
"website": "https://acme-nordic.example"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "The request contains invalid values.",
"requestId": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "A valid bearer credential is required.",
"requestId": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "The credential does not grant this operation.",
"requestId": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "The resource was not found.",
"requestId": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Retry shortly.",
"requestId": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An unexpected error occurred.",
"requestId": "550e8400-e29b-41d4-a716-446655440000"
}
}Companies
Get a company
Get a bounded company profile and its active people.
GET
https://app.floral.so
/
api
/
v1
/
workspaces
/
{workspaceSlug}
/
companies
/
{id}
cURL
curl --request GET \
--url 'https://app.floral.so/api/v1/workspaces/acme-nordic/companies/42' \
--header 'Authorization: Bearer $FLORAL_TOKEN'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.floral.so/api/v1/workspaces/{workspaceSlug}/companies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"company": {
"annualRevenueOere": 12500000,
"archivedAt": null,
"customFields": {
"account_tier": "growth"
},
"description": "Nordic workplace design and furniture supplier.",
"email": "hello@acme-nordic.example",
"employeeCount": 48,
"id": 42,
"industry": "Design",
"lastActivityAt": "2026-08-15T09:30:00.000Z",
"lifecycleStage": "PROSPECT",
"linkedinUrl": "https://www.linkedin.com/company/acme-nordic",
"metadata": {
"source": "partner-directory"
},
"name": "Acme Nordic",
"organizationNumber": "12345678",
"ownerUserIds": [
"user_01J5N9CF9QY8T4M2A7W3R6K1P0"
],
"people": [
{
"email": "ada@acme-nordic.example",
"id": 84,
"name": "Ada Jensen",
"title": "Operations director"
}
],
"phone": "+45 33 12 34 56",
"updatedAt": "2026-08-15T09:30:00.000Z",
"version": "v1.eyJpZCI6NDIsInJlc291cmNlIjoiY29tcGFueSIsInZlcnNpb24iOiIyMDI2LTA4LTE1VDA5OjMwOjAwLjAwMFoifQ",
"website": "https://acme-nordic.example"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "The request contains invalid values.",
"requestId": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "A valid bearer credential is required.",
"requestId": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "The credential does not grant this operation.",
"requestId": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "The resource was not found.",
"requestId": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Too many requests. Retry shortly.",
"requestId": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An unexpected error occurred.",
"requestId": "550e8400-e29b-41d4-a716-446655440000"
}
}Authorizations
Authenticate with a workspace-pinned Floral personal access token.
Headers
Optional caller-generated correlation ID. Floral returns the effective value in X-Request-ID.
Required string length:
1 - 128Path Parameters
Slug of the workspace pinned to the credential.
Required string length:
1 - 100Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$Stable numeric resource ID.
Required range:
x >= 1Response
Successful response
Show child attributes
Show child attributes
⌘I
